com.sun.source.tree

## Interface ReturnTree

All Superinterfaces:
  StatementTree, Tree

    public interface ReturnTree
    extends StatementTree

A tree node for a 'return' statement. For example:

       return;
       return expression;

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 14.17"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`ExpressionTree` `getExpression()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.